Page MenuHomePhabricator

convertExtensionToRegistration.php should write out extension.json files in a nice order
Closed, ResolvedPublic

Description

convertExtensionToRegistration.php currently outputs in a random/semi-random order. Putting the name, version, author, url, license-name and type keys at the top of the serialised version would be much better.

Event Timeline

Jdforrester-WMF assigned this task to Legoktm.
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Aklapper triaged this task as Low priority.Jan 13 2015, 1:17 PM

Change 184712 had a related patch set uploaded (by Legoktm):
convertExtensionToRegistration: Put some keys (name, version, etc.) on top

https://gerrit.wikimedia.org/r/184712

Patch-For-Review

Legoktm raised the priority of this task from Low to High.Jan 13 2015, 7:33 PM
Legoktm set Security to None.
Legoktm moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 184712 merged by jenkins-bot:
convertExtensionToRegistration: Put some keys (name, version, etc.) on top

https://gerrit.wikimedia.org/r/184712

Legoktm closed this task as Resolved.Jan 23 2015, 7:10 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 5 2015, 1:58 AM
Legoktm moved this task from Backlog to Done on the MediaWiki-Configuration board.Mar 4 2015, 7:54 AM